uniform float alphakerroin;
uniform sampler2D tex;
varying vec2 texcoord;

void main(void)
{
	vec3 color1 = vec3(0.6, 0.5, 1.0);
	vec3 color2 = vec3(0.1, 0.2, 0.3);
	
	vec4 texcolor = texture2D(tex, texcoord*2.0);
	vec3 color = color1 + (color2 - color1) * alphakerroin;
	
	color.rgb *= texcolor.rgb;
    gl_FragColor = vec4(color.r, color.g, color.b, 1.0);
}
 